For the complete documentation index, see llms.txt. This page is also available as Markdown.

Eos

get

Lists EOS accounts associated with the provided authorization token.

Authorizations
AuthorizationstringRequired
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Responses
200

A promise that resolves to an AccountAPIResponse object containing the list of accounts, a success flag, and a message.

application/json

Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

get/eos
GET /eos HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

A promise that resolves to an AccountAPIResponse object containing the list of accounts, a success flag, and a message.

{
  "success": true,
  "message": "text",
  "body": {
    "to": "text",
    "data": "text",
    "value": "text",
    "gasLimit": "text",
    "nonce": "text",
    "simulate": true,
    "gas": "text",
    "gasPrice": "text",
    "maxFeePerGas": "text",
    "maxPriorityFeePerGas": "text",
    "chain_id": "text",
    "encoding": "text",
    "type": 1,
    "accessList": [
      {
        "address": "text",
        "storageKeys": [
          "text"
        ]
      }
    ],
    "blobGas": "text",
    "blobGasFeeCap": "text",
    "blobHashes": [
      "text"
    ],
    "dryrun": true,
    "input": "text",
    "EOA": true,
    "contract_address": "text",
    "token_id": "text",
    "token_ids": "text",
    "approved": true,
    "broadcast": true,
    "alwaysIncrementNonce": true,
    "asset": "text",
    "amount": "text",
    "interestRateMode": 1,
    "referralCode": 1,
    "onBehalfOf": "text",
    "receiverAddress": "text",
    "assets": [
      "text"
    ],
    "amounts": [
      "text"
    ],
    "modes": [
      1
    ],
    "params": "text",
    "rateMode": 1,
    "useAsCollateral": true,
    "collateralAsset": "text",
    "debtAsset": "text",
    "user": "text",
    "debtToCover": "text",
    "receiveAToken": true,
    "inputTokens": [
      {
        "tokenAddress": "text",
        "amount": "text"
      }
    ],
    "outputTokens": [
      {
        "tokenAddress": "text",
        "proportion": 1
      }
    ],
    "slippageLimitPercent": 1,
    "minHealthFactor": "text",
    "premiums": [
      "text"
    ],
    "initiator": "text",
    "role": "text",
    "account": "text",
    "initialDeposit": "text",
    "borrowAmount": "text"
  },
  "address": "text",
  "data": {
    "keys": [
      "text"
    ],
    "address": "text",
    "private_key": "text",
    "public_key": "text",
    "data": {
      "keys": [
        "text"
      ],
      "address": "text",
      "private_key": "text",
      "public_key": "text"
    }
  }
}
post

Creates a new EOS account.

Authorizations
AuthorizationstringRequired
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Body
  • The input data required to create the EOS account.
networkstringOptional

The network on which the transaction is taking place.

private_keystringOptional

The private key of the account.

Responses
200

A promise that resolves to an AccountAPIResponse object containing the result of the account creation.

application/json

Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

post/eos
POST /eos HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "network": "text",
  "private_key": "text"
}
200

A promise that resolves to an AccountAPIResponse object containing the result of the account creation.

{
  "success": true,
  "message": "text",
  "body": {
    "to": "text",
    "data": "text",
    "value": "text",
    "gasLimit": "text",
    "nonce": "text",
    "simulate": true,
    "gas": "text",
    "gasPrice": "text",
    "maxFeePerGas": "text",
    "maxPriorityFeePerGas": "text",
    "chain_id": "text",
    "encoding": "text",
    "type": 1,
    "accessList": [
      {
        "address": "text",
        "storageKeys": [
          "text"
        ]
      }
    ],
    "blobGas": "text",
    "blobGasFeeCap": "text",
    "blobHashes": [
      "text"
    ],
    "dryrun": true,
    "input": "text",
    "EOA": true,
    "contract_address": "text",
    "token_id": "text",
    "token_ids": "text",
    "approved": true,
    "broadcast": true,
    "alwaysIncrementNonce": true,
    "asset": "text",
    "amount": "text",
    "interestRateMode": 1,
    "referralCode": 1,
    "onBehalfOf": "text",
    "receiverAddress": "text",
    "assets": [
      "text"
    ],
    "amounts": [
      "text"
    ],
    "modes": [
      1
    ],
    "params": "text",
    "rateMode": 1,
    "useAsCollateral": true,
    "collateralAsset": "text",
    "debtAsset": "text",
    "user": "text",
    "debtToCover": "text",
    "receiveAToken": true,
    "inputTokens": [
      {
        "tokenAddress": "text",
        "amount": "text"
      }
    ],
    "outputTokens": [
      {
        "tokenAddress": "text",
        "proportion": 1
      }
    ],
    "slippageLimitPercent": 1,
    "minHealthFactor": "text",
    "premiums": [
      "text"
    ],
    "initiator": "text",
    "role": "text",
    "account": "text",
    "initialDeposit": "text",
    "borrowAmount": "text"
  },
  "address": "text",
  "data": {
    "keys": [
      "text"
    ],
    "address": "text",
    "private_key": "text",
    "public_key": "text",
    "data": {
      "keys": [
        "text"
      ],
      "address": "text",
      "private_key": "text",
      "public_key": "text"
    }
  }
}
get

Retrieves account information from the EOS blockchain.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the EOS account to retrieve information for.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Responses
200

A promise that resolves to an AccountAPIResponse object containing the account data, success status, and a message.

application/json

Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

get/eos/{accountName}
GET /eos/{accountName} HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

A promise that resolves to an AccountAPIResponse object containing the account data, success status, and a message.

{
  "success": true,
  "message": "text",
  "body": {
    "to": "text",
    "data": "text",
    "value": "text",
    "gasLimit": "text",
    "nonce": "text",
    "simulate": true,
    "gas": "text",
    "gasPrice": "text",
    "maxFeePerGas": "text",
    "maxPriorityFeePerGas": "text",
    "chain_id": "text",
    "encoding": "text",
    "type": 1,
    "accessList": [
      {
        "address": "text",
        "storageKeys": [
          "text"
        ]
      }
    ],
    "blobGas": "text",
    "blobGasFeeCap": "text",
    "blobHashes": [
      "text"
    ],
    "dryrun": true,
    "input": "text",
    "EOA": true,
    "contract_address": "text",
    "token_id": "text",
    "token_ids": "text",
    "approved": true,
    "broadcast": true,
    "alwaysIncrementNonce": true,
    "asset": "text",
    "amount": "text",
    "interestRateMode": 1,
    "referralCode": 1,
    "onBehalfOf": "text",
    "receiverAddress": "text",
    "assets": [
      "text"
    ],
    "amounts": [
      "text"
    ],
    "modes": [
      1
    ],
    "params": "text",
    "rateMode": 1,
    "useAsCollateral": true,
    "collateralAsset": "text",
    "debtAsset": "text",
    "user": "text",
    "debtToCover": "text",
    "receiveAToken": true,
    "inputTokens": [
      {
        "tokenAddress": "text",
        "amount": "text"
      }
    ],
    "outputTokens": [
      {
        "tokenAddress": "text",
        "proportion": 1
      }
    ],
    "slippageLimitPercent": 1,
    "minHealthFactor": "text",
    "premiums": [
      "text"
    ],
    "initiator": "text",
    "role": "text",
    "account": "text",
    "initialDeposit": "text",
    "borrowAmount": "text"
  },
  "address": "text",
  "data": {
    "keys": [
      "text"
    ],
    "address": "text",
    "private_key": "text",
    "public_key": "text",
    "data": {
      "keys": [
        "text"
      ],
      "address": "text",
      "private_key": "text",
      "public_key": "text"
    }
  }
}